%define _bindir /opt/game/pcsx
%define _libdir /opt/game/pcsx/plugins

Name:           pcsxr
URL:            http://www.codeplex.com/pcsxr
License:        GPL
Group:          System/Emulators/Other
Obsoletes:      pcsx
Provides:	pcsx
Autoreqprov:    on
Version:        1.9.92
Release:        b2
Summary:        Free Sony PlayStation emulator
Source:         pcsxr-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Buildrequires:	libglade2-devel libXtst-devel libXv-devel

%description
This application emulates all components of a Sony PlayStation on
regular PC hardware. It features a sophisticated plugin system allowing
for easy extension and is highly configurable.

To be able to play commercial games on this emulator you need an image
of a Sony PlayStation BIOS ROM. The BIOS is copyrighted by Sony
Computer Entertainment and can therefore not be included in this
package.

BIOS images can be placed in ~/.pcsx/bios or /usr/share/psemu/bios.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pthread -w" %configure --prefix=/opt/game/pcsx --enable-opengl --enable-sound=alsa
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT

#make DESTDIR=$RPM_BUILD_ROOT install
%makeinstall bindir=$RPM_BUILD_ROOT/opt/game/pcsx libdir=$RPM_BUILD_ROOT/opt/game/pcsx/plugins
mv $RPM_BUILD_ROOT/opt/game/pcsx/cfg* $RPM_BUILD_ROOT/opt/game/pcsx/plugins
strip $RPM_BUILD_ROOT/opt/game/pcsx/pcsx

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
#cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
#[Desktop Entry]
#Name=PCSX-reloaded
#Comment=Sony PlayStation Emulator
#Exec=LD_LIBRARY_PATH=%{_libdir} %{_bindir}/pcsx
#Icon=pcsx-icon.png
#Terminal=false
#Type=Application
#StartupNotify=true
#Categories=Application;Game;Emulator;X-Red-Hat-Base;
#StartupNotify=true
#Encoding=UTF-8
#EOF
#
#mkdir -p $RPM_BUILD_ROOT/etc/skel/.pcsx
#cat > $RPM_BUILD_ROOT/etc/skel/.pcsx/pcsx.cfg << EOF
#Bios = HLE
#PluginsDir = /opt/game/pcsx/plugins
#EOF
cp -a berry/*.cfg $RPM_BUILD_ROOT%_libdir/
mkdir -p $RPM_BUILD_ROOT/usr/bin
cat > $RPM_BUILD_ROOT/usr/bin/pcsx << EOF
#!/bin/sh
mkdir -p ~/.pcsx/plugins
cp -aus %_libdir/lib* ~/.pcsx/plugins
cp -aus %_libdir/cfg* ~/.pcsx/plugins
[ -r ~/.pcsx/pcsx.cfg ] || cp -a %_libdir/*.cfg ~/.pcsx/plugins
%{_bindir}/pcsx
EOF
chmod +x $RPM_BUILD_ROOT/usr/bin/pcsx

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr (-,root,root)
#%doc AUTHORS ChangeLog INSTALL NEWS README doc/*.txt
%{_bindir}/pcsx
/usr/share/applications/*.desktop
%_libdir/
#%doc %_mandir/man1/pcsx.1*
/usr/share/pcsx
/usr/share/psemu
#/usr/share/locale/zh_CN/LC_MESSAGES/*
#/usr/share/locale/zh_TW/LC_MESSAGES/*
#/usr/share/locale/pt_BR/LC_MESSAGES/*
#/usr/share/locale/ru_RU/LC_MESSAGES/*
#/usr/share/locale/it/LC_MESSAGES/*
/usr/share/pixmaps/*
/usr/bin/pcsx

%changelog
* Mon Sep 20 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 1.9.92
* Wed Sep 17 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.9
* Tue Jun 24 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
